Package org.apache.storm.serialization

## Class DefaultKryoFactory.KryoSerializableDefault

- java.lang.Object
- - com.esotericsoftware.kryo.Kryo
  - - org.apache.storm.serialization.DefaultKryoFactory.KryoSerializableDefault

- Enclosing class:
    DefaultKryoFactory

      public static class DefaultKryoFactory.KryoSerializableDefault
      extends com.esotericsoftware.kryo.Kryo

- - ### Field Summary

    - ### Fields inherited from class com.esotericsoftware.kryo.Kryo

      `NOT_NULL, NULL`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KryoSerializableDefault()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.esotericsoftware.kryo.Serializer` | `getDefaultSerializer​(Class type)` |
    `void` | `overrideDefault​(boolean value)` |

    - ### Methods inherited from class com.esotericsoftware.kryo.Kryo

      `addDefaultSerializer, addDefaultSerializer, addDefaultSerializer, copy, copy, copyShallow, copyShallow, getClassLoader, getClassResolver, getContext, getDefaultSerializerForAnnotatedType, getDepth, getGenerics, getGraphContext, getInstantiatorStrategy, getNextRegistrationId, getOriginalToCopyMap, getReferenceResolver, getReferences, getRegistration, getRegistration, getSerializer, getWarnUnregisteredClasses, isClosure, isFinal, isProxy, isRegistrationRequired, newDefaultSerializer, newInstance, newInstantiator, readClass, readClassAndObject, readObject, readObject, readObjectOrNull, readObjectOrNull, reference, register, register, register, register, register, reset, setAutoReset, setClassLoader, setCopyReferences, setDefaultSerializer, setDefaultSerializer, setInstantiatorStrategy, setMaxDepth, setOptimizedGenerics, setReferenceResolver, setReferences, setRegistrationRequired, setWarnUnregisteredClasses, unregisteredClassMessage, writeClass, writeClassAndObject, writeObject, writeObject, writeObjectOrNull, writeObjectOrNull`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KryoSerializableDefault

          public KryoSerializableDefault()

  - ### Method Detail

    - #### overrideDefault

          public void overrideDefault​(boolean value)

    - #### getDefaultSerializer

          public com.esotericsoftware.kryo.Serializer getDefaultSerializer​(Class type)

      Overrides:
        `getDefaultSerializer` in class `com.esotericsoftware.kryo.Kryo`